Skip to navigation

Delete Custom Template Associations

Delete custom template associations. At least one query parameter must be used.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
ThemesRead-onlystore_themes_read_only
ThemesManagestore_themes_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

id:inlist of integersOptional

A comma-separated string that specifies a list of association IDs to delete.

channel_idintegerOptional
Return results or act upon only template associations in the specified channel.
typeenumOptional
Filter associations by type.
Allowed values:
entity_id:inlist of integersOptional

A comma-separated list of entity IDs to return or act upon. Must be used together with the type filter. Currently, all supported entities have integer-type IDs.

Response

No Content